:root {
    --nat-color: #9c40a7;
}

html, body {
    height: 100%;
}

.login-form {
    width: 40%;
}

h1.h-nat,
h2.h-nat,
h3.h-nat,
h4.h-nat,
.hx-nat {
    color: var(--nat-color);
    font-weight: 600;
}
h1.h-nat {
    font-size: 18px;
    border-bottom: 1px solid #a175a5;
}
h2.h-nat {
    font-size: 16px;
}
h3.h-nat {
    font-size: 14px;
}
h4.h-nat {
    font-size: 12px;
}

.app-page {
    max-width: 1400px;
    margin: 0 auto;
}
.app-main {
    padding: 50px 40px;
}

.title-main {
    margin-bottom: 40px !important;
}
html {
    font-size: 0.8em;
}
.flex {
    display: flex !important;
}
.h-85 {
    height: 85% !important;
}
.relative {
    position: relative;
}
.absolute {
    position: absolute;
}
.mat-icon {
    position: relative;
    bottom: 1px;
}
.ico-feature {
    font-size: 1.2rem;
    color: #666;
}
.txt-pipe:after {
    content: '|';
    display: inline-block;
    padding: 0 1em 0 1em;
}
.txt-line-through {
    text-decoration: line-through;
}
.no-hover {
    pointer-events: none;
}

input::placeholder {
    opacity: .4 !important;
}
.list-plain,
.list-plain li {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
}
.override-form-check .form-check {
    display: inline-block;
    padding-right: 15px;
}
.color-nat {
    color: var(--nat-color);
}
.btn-nat {
    background: var(--nat-color);
    color: white !important;
}
.border-nat {
    border-color: var(--nat-color) !important;
}
.panel-nat {
    background-color: #f7f7f9;
    padding: 1em 1.6em;
}
.s0 {
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
}
.ico {
    display: inline-block;
    margin-right: 0.6rem;
    position: relative;
    top: -2px
}
.nat-list-success {
    padding-left: 10px;
}
.nat-list-success li {
    position: relative;
    padding-left: 40px;
    border-left: 1px solid #ccc;
    margin-left: 20px;
    padding-bottom: 60px;
}
.nat-list-success li:last-child {
    padding-bottom: 0;
}
.nat-ico-success {
    border: 1px solid #ccc;
    border-radius: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    position: absolute;
    left: -20px;
    top: -10px;
    background: white;
}
.nat-list-success li:first-child .nat-ico-success {
    background: #00d375;
    border-color: #00d375;
    color: white;
    font-weight: bold;
    font-size: 1.8em;
}
.nat-list-success li:last-child .nat-ico-success {
    font-size: 1.6em;
    color: #444;
}
.image-fit-d {
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: cover;
}
.no-break {
    white-space: nowrap;
}
.lh-1 {
    line-height: 1em;
}
.lh-s {
    line-height: 1.2;
}

.box-xs {display: block;}
.box-sm {display: none;}
.box-md {display: none;}
.box-lg {display: none;}
.box-xl {display: none;}
.box-xxl {display: none;}
@media (min-width: 576px) {
    .box-sm {display: block;}
}
@media (min-width: 768px) {
    .box-md {display: block;}
}
@media (min-width: 992px) {
    .box-lg {display: block;}
}
@media (min-width: 1200px) {
    .box-xl {display: block;}
}
@media (min-width: 1400px) {
    .box-xxl {display: block;}
}
.box-to-sm {display: none;}
.box-to-md {display: none;}
.box-to-lg {display: none;}
.box-to-xl {display: none;}
.box-to-xxl {display: none;}
@media (max-width: 575px) {
    .box-to-sm {display: block;}
}
@media (max-width: 767px) {
    .box-to-md {display: block;}
}
@media (max-width: 991px) {
    .box-to-lg {display: block;}
}
@media (max-width: 1199px) {
    .box-to-xl {display: block;}
}
@media (max-width: 1399px) {
    .box-to-xxl {display: block;}
}

/** toast */
#toast {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 12px;
    position: fixed;
    z-index: 1;
    left: 50%;
    top: 30px;
    font-size: 14px;
    opacity: .8;
}
#toast.show {
    visibility: visible;
    -webkit-animation: toast-fadein 0.5s, toast-fadeout 0.5s 2.5s;
    animation: toast-fadein 0.5s, toast-fadeout 0.5s 2.5s;
}
@keyframes toast-fadein {
    from {top: 0; opacity: 0;}
    to {top: 30px; opacity: .8;}
}
@-webkit-keyframes toast-fadein {
    from {top: 0; opacity: 0;}
    to {top: 30px; opacity: .8;}
}
@keyframes toast-fadeout {
    from {top: 30px; opacity: .8;}
    to {top: 0; opacity: 0;}
}
@-webkit-keyframes toast-fadeout {
    from {top: 30px; opacity: .8;}
    to {top: 0; opacity: 0;}
}
